## XfceMenuDirectory

XfceMenuDirectory

## Synopsis

    #include <libxfce4menu/libxfce4menu.h>

                        XfceMenuDirectoryPrivate;
                        XfceMenuDirectoryClass;
                        XfceMenuDirectory;
    const gchar*        xfce_menu_directory_get_filename    (XfceMenuDirectory *directory);
    void                xfce_menu_directory_set_filename    (XfceMenuDirectory *directory,
                                                             const gchar *name);
    const gchar*        xfce_menu_directory_get_name        (XfceMenuDirectory *directory);
    void                xfce_menu_directory_set_name        (XfceMenuDirectory *directory,
                                                             const gchar *name);
    const gchar*        xfce_menu_directory_get_comment     (XfceMenuDirectory *directory);
    void                xfce_menu_directory_set_comment     (XfceMenuDirectory *directory,
                                                             const gchar *comment);
    const gchar*        xfce_menu_directory_get_icon        (XfceMenuDirectory *directory);
    void                xfce_menu_directory_set_icon        (XfceMenuDirectory *directory,
                                                             const gchar *icon);
    gboolean            xfce_menu_directory_get_no_display  (XfceMenuDirectory *directory);
    void                xfce_menu_directory_set_no_display  (XfceMenuDirectory *directory,
                                                             gboolean no_display);
    gboolean            xfce_menu_directory_get_hidden      (XfceMenuDirectory *directory);
    gboolean            xfce_menu_directory_show_in_environment
                                                            (XfceMenuDirectory *directory);

## Object Hierarchy

      GObject
       +----XfceMenuDirectory

## Properties

      "comment"                  gchar*                : Read / Write
      "filename"                 gchar*                : Read / Write
      "icon"                     gchar*                : Read / Write
      "name"                     gchar*                : Read / Write
      "no-display"               gboolean              : Read / Write

## Description

## Details

### XfceMenuDirectoryPrivate

    typedef struct _XfceMenuDirectoryPrivate XfceMenuDirectoryPrivate;

### XfceMenuDirectoryClass

    typedef struct _XfceMenuDirectoryClass XfceMenuDirectoryClass;

### XfceMenuDirectory

    typedef struct _XfceMenuDirectory XfceMenuDirectory;

### xfce_menu_directory_get_filename ()

    const gchar*        xfce_menu_directory_get_filename    (XfceMenuDirectory *directory);

`directory` : |
Returns : |

### xfce_menu_directory_set_filename ()

    void                xfce_menu_directory_set_filename    (XfceMenuDirectory *directory,
                                                             const gchar *name);

`directory` : |
`name` : |

### xfce_menu_directory_get_name ()

    const gchar*        xfce_menu_directory_get_name        (XfceMenuDirectory *directory);

`directory` : |
Returns : |

### xfce_menu_directory_set_name ()

    void                xfce_menu_directory_set_name        (XfceMenuDirectory *directory,
                                                             const gchar *name);

`directory` : |
`name` : |

### xfce_menu_directory_get_comment ()

    const gchar*        xfce_menu_directory_get_comment     (XfceMenuDirectory *directory);

`directory` : |
Returns : |

### xfce_menu_directory_set_comment ()

    void                xfce_menu_directory_set_comment     (XfceMenuDirectory *directory,
                                                             const gchar *comment);

`directory` : |
`comment` : |

### xfce_menu_directory_get_icon ()

    const gchar*        xfce_menu_directory_get_icon        (XfceMenuDirectory *directory);

`directory` : |
Returns : |

### xfce_menu_directory_set_icon ()

    void                xfce_menu_directory_set_icon        (XfceMenuDirectory *directory,
                                                             const gchar *icon);

`directory` : |
`icon` : |

### xfce_menu_directory_get_no_display ()

    gboolean            xfce_menu_directory_get_no_display  (XfceMenuDirectory *directory);

`directory` : |
Returns : |

### xfce_menu_directory_set_no_display ()

    void                xfce_menu_directory_set_no_display  (XfceMenuDirectory *directory,
                                                             gboolean no_display);

`directory` : |
`no_display` : |

### xfce_menu_directory_get_hidden ()

    gboolean            xfce_menu_directory_get_hidden      (XfceMenuDirectory *directory);

`directory` : |
Returns : |

### xfce_menu_directory_show_in_environment ()

    gboolean            xfce_menu_directory_show_in_environment
                                                            (XfceMenuDirectory *directory);

`directory` : |
Returns : |

## Property Details

### The `"comment"` property

      "comment"                  gchar*                : Read / Write

Directory description (comment).

Default value: NULL

### The `"filename"` property

      "filename"                 gchar*                : Read / Write

The filename of an `XfceMenuDirectory` object. Whenever this is redefined, the directory entry is parsed again.

Default value: NULL

### The `"icon"` property

      "icon"                     gchar*                : Read / Write

Icon associated with this directory.

Default value: NULL

### The `"name"` property

      "name"                     gchar*                : Read / Write

Name of the directory.

Default value: NULL

### The `"no-display"` property

      "no-display"               gboolean              : Read / Write

Whether this menu item is hidden in menus.

Default value: FALSE